$block: service;


.#{$block} {
	position: relative;
	color: $black;
	background: $gray-100;

	.container {
		z-index: 50;
		position: relative;
	}

	&__wrap {
		position: relative;
		padding-top: 100px;
		padding-bottom: 40px;
	}

	&__content {
		z-index: 20;
		position: relative;
		margin-bottom:  50px;
	}

	&__header {
		position: relative;
		margin-bottom: 65px;
		font-family: $font-family-head;

		&--label {
			width: 160px;
			font-weight: 700;
			line-height: 120%;
			margin-bottom: 20px;
			font-size: font-size-rel(16px);
		}

		&--title {
			width: 280px;
			font-weight: 700;
			line-height: 130%;
			font-size: font-size-rel(22px);
		}
	}

	&__link {
		position: relative;

		&--content {
			z-index: 10;
			position: relative;
		}

		&--plus {
			left: 0;
			top: -40px;
			z-index: 1;
			width: 35px;
			position: absolute;
		}
	}

	&__lead {
		position: relative;
		max-width: 360px;

		&--media {
			position: relative;
			display: flex;
			justify-content: flex-end;
		}

		&--image {
			width: 160px;
			z-index: 1;
			position: relative;
		}

		&--plus {
			z-index: 20;
			width: 70px;
			right: 125px;
			top: -35px;
			display: block;
			position: absolute;
		}

		&--pattern {
			left: -50px;
			top: -300px;
			z-index: 10;
			width: 262px;
			display: block;
			position: absolute;
		}

		&--info {
			line-height: 130%;
			padding-top: 20px;
			font-size: font-size-rel(14px);
		}

		&--title {
			font-weight: 700;
			line-height: 120%;
			margin-bottom: 10px;
			font-size: font-size-rel(16px);
		}

		&--text {
			width: 180px;
			margin-left: 70px;
		}
	}

	@media (min-width: $screen-sm-min) {

		&:before {
			top: 0;
			right: 0;
			bottom: 0;
			z-index: 1;
			content: '';
			left: calc(50% - 80px);
			background: #f9f9f9;
			position: absolute;
		}

		&__wrap {
			display: flex;
			flex-direction: column;
		}

		&__content {
			padding: 100px 0;
		}

		&__header {
			margin-bottom: 60px;

			&--label {
				text-align: right;
				margin-bottom: 30px;
				font-size: font-size-rel(18px);
			}

			&--title {
				width: 500px;
				padding-left: 160px;
				line-height: 120%;
				font-size: font-size-rel(40px);
			}
		}

		&__link {
			margin-left: 160px;

			&--plus {
				left: -40px;
				top: 100%;
				width: 40px;
			}
		}

		&__lead {
			right: -20px;
			bottom: 0;
			z-index: 5;
			position: absolute;
			max-width: inherit;
			display: flex;
			align-items: flex-end;
			justify-content: flex-end;

			&--info {
				width: 220px;
				order: 1;
				padding-right: 40px;
				padding-bottom: 50px;
				text-align: right;
				font-size: font-size-rel(16px);
			}

			&--media {
				order: 2;
			}

			&--image {
				width: 200px;
				flex-shrink: 0;
			}

			&--text {
				padding: 0;
				margin: 0;
				width: 100%;
				text-align: right;
			}

			&--pattern {
				width: 400px;
				left: -150px;
				top: -350px;
			}
		}
	}

	@media (min-width: $screen-md-min) {
		background: $white;

		&:before {
			left: calc(50% - 100px);
		}

		&__header {
			margin-bottom: 80px;

			&--label {
				margin-bottom: 50px;
			}

			&--title {
				width:  500px;
				font-size: font-size-rel(40px);
			}
		}

		&__lead {
			width: 525px;

			&--info {
				padding-bottom: 55px;
			}

			&--image {
				width: 300px;
			}

			&--plus {
				top: -120px;
				right: 180px;
				width: 240px;
			}

			&--pattern {
				top: auto;
				bottom: 180px;
				width: 696px;
				left: -550px;
			}
		}
	}

	@media (min-width: $screen-lg-min) {

		&:before {
			left: calc(50% - 160px);
		}

		&__lead {
			width: 525px;

			&--info {
				padding-bottom: 55px;
			}

			&--image {
				width: 360px;
			}

			&--plus {
				top: -160px;
				left: -160px;
				width: 320px;
			}
		}
	}

	@media (min-width: $screen-xl-min) {

		&__header {

			&--title {
				width: 600px;
				font-size: font-size-rel(50px);
			}
		}

		&__content {
			padding-top: 180px;
		}

		&__lead {
			width: 525px;

			&--info {
				padding-bottom: 110px;
			}

			&--image {
				width: 520px;
			}

			&--pattern {
				bottom: 367px;
			}
		}
	}
}